
Redmine - Defect #16162

redmine can't find new attachments

2014-02-24 16:38 - Adalte Support Team

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.4.0

Description

I'm not sure this is a defect, but I can't figure out what is wrong.

Probably my fault, but need some help.

This is my setup

Environment:

Redmine version                2.4.0.stable

Ruby version                   1.8.7-p352 (2011-06-30) [x86_64-linux]

Rails version                  3.2.15

Environment                    production

Database adapter               Mysql2

SCM:

Git                            1.7.1

Filesystem

Redmine plugins:

redmine_github_hook            0.2.0

Mysql is 5.5.28

We imported our data from a Jira xml dump, with an old script that we adapted for our needs.

All attachments were saved under the redmine_root/files directory. They are visible and accessible.

Then we started adding new attachments, that are saved under the redmine_root/files/YYYY/MM directories.

These are visible (they show up in lists or inside the ticket page) but are not accessible (when you click, they generate a 404 error).

How can this be fixed?

History

#1 - 2014-02-26 09:27 - Adalte Support Team

- Status changed from New to Resolved

I don't know how, but after some tinkering (which did not accomplish anything) now it seems to work.

#2 - 2014-02-26 21:35 - Jan Niggemann (redmine.org team member)

- Status changed from Resolved to Closed
